<ion-header>
  <ion-toolbar>
      <ion-title>User Registeration</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <form class="form" [formGroup]="userForm" (ngSubmit)="signUp(userForm.value)">
      <ion-item>
          <ion-label position="floating">userName</ion-label>
          <ion-input type="text" formControlName="username"></ion-input>
      </ion-item>

      <ng-container *ngFor="let error of error_msg.username">
        <div *ngIf="userForm.get('username').hasError(error.type) && (userForm.get('username').dirty || userForm.get('username').touched)">
            {{ error.message }}
        </div>
    </ng-container>

    <ion-item>
        <ion-label position="floating">Email</ion-label>
        <ion-input type="text" formControlName="email"></ion-input>
    </ion-item>
    <ng-container *ngFor="let error of error_msg.email">
      <div *ngIf="userForm.get('email').hasError(error.type) && (userForm.get('email').dirty || userForm.get('email').touched)">
          {{ error.message }}
      </div>
  </ng-container>

  <ion-item>
      <ion-label position="floating" color="primary">Password</ion-label>
      <ion-input type="password" formControlName="password" class="form-controll" required></ion-input>
  </ion-item>
  <ng-container *ngFor="let error of error_msg.password">
    <div *ngIf="userForm.get('password').hasError(error.type) && (userForm.get('password').dirty || userForm.get('password').touched)">
        {{ error.message }}
    </div>
</ng-container>
<ion-select class="mb-5" aria-required="required" placeholder="Choose a role" formControlName="role" class="form-controll" required>
  <ion-select-option [value]="admin">Admin</ion-select-option>
  <ion-select-option [value]="project">Project Manager</ion-select-option>
  <ion-select-option [value]="client">Client</ion-select-option>
</ion-select>
<br>
<ng-container *ngFor="let error of error_msg.role">
  <div *ngIf="userForm.get('role').hasError(error.type) && (userForm.get('role').dirty || userForm.get('role').touched)">
      {{ error.message }}
  </div>
</ng-container>
<ion-button type="submit" expand="block" [disabled]="!userForm.valid">Register</ion-button>

<label class="ion-text-center" color="danger">{{errorMsg}}</label>
<label class="ion-text-center" color="success">{{successMsg}}</label>
</form>
<p class="ion-text-center">Already registered? <a (click)="goToLogin()">Login</a></p>
</ion-content>
